<?php

namespace Dipper\Foundation\Core;

use Illuminate\Support\ServiceProvider;

/**
 * Class MiddlewareServiceProvider.
 *
 * @author  HollyTeng  <n.haoyuan@gmail.com>
 */
abstract class MiddlewareServiceProvider extends ServiceProvider
{
    protected $middleware = [];

    protected $routeMiddleware = [];

    /**
     * Perform post-registration booting of services.
     */
    public function boot()
    {
        $this->app->middleware($this->middleware);
        $this->app->routeMiddleware($this->routeMiddleware);
    }
}
